/*SECTION ----------------------------*/
/*------------------------------------*/


.grille{
	flex-direction:column ;
	justify-content: flex-start;
	align-items: flex-start;
	width:100%;
	padding:0;
}

.grille nav {
	padding:0 2.25vw;
}

.grille nav a{
  cursor:pointer;
  padding: 0.5vh 0;
}


.portfolio{
  position: fixed;
	width:100%;
	gap:0 0.75vw ;
  top:calc(var(--real-vh, 1vh) * 13);
  height: calc(var(--real-vh, 1vh) * 83);
	overflow: scroll;
	display: none;
}

.project {
  display: flex;
  position: relative;
  height: 90%;
  overflow: hidden;
  padding-top: 0.5vh;
  padding-bottom: 4vh;
}

.project:nth-last-child(1) {
  margin-bottom:calc(var(--real-vh, 1vh) * 4);
}


/*COLONNE TEXTE ----------------------*/
/*------------------------------------*/

.project .column.text {
  position: sticky;
  display:flex;
  flex-direction: column;
  gap:2vh;
  background-color: var(--color-background);
  left: 0;
  width: calc(30% - 4.5vw);
  min-width: calc(30% - 4.5vw);
  z-index: 2;
  padding: 0 2.25vw;
}

/*COLONNE IMAGE ----------------------*/
/*------------------------------------*/

.project .column.images {
  position: relative;
  width: 100%;
  overflow: hidden; 
}

.column.images .track {
  display: flex;
  gap: 0.75vw;
  align-items: flex-start;
  transition: transform 0.5s cubic-bezier(.22,.9,.3,1);
  will-change: transform;
  height: 100%;
}

.image-wrapper {
  flex: 0 0 auto;
  height: 100%;
  max-width: 60vw;
  opacity: 0;
  transition: opacity 0.35s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent;
}

.image-wrapper.visible {
  opacity: 1;
}

.image-wrapper img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: top center;
}

.control-plus,
.control-left {
  position: absolute;
  bottom: 1.5vw;
  width: calc(50% - 0.8vw);
  height: calc(100% - 1.6vh);
  border: none;
  background: transparent;
  cursor: pointer;
  display: flex;
  align-items: flex-end;
  z-index: 60;
}

.control-left {
  left: 1.5vw;
  justify-content: flex-start;
}

.control-plus {
  right: 1.5vw;
  justify-content: flex-end;
}

.control-plus .icon,
.control-left .icon {
  width: 2.5vh;
  height: 2.5vh;
  line-height: 0;
}

.control-plus .icon svg,
.control-left .icon svg {
  width: 100%;
  height: 100%;
  display: block;
  fill:  var(--color-main);
}

.project:nth-last-child(1) .control-plus .icon-down{
  display: none !important;
  pointer-events: none;
  cursor: default;
}



@media screen and (max-width: 768px) {

  .grille{
    align-items: center;
    height:3vh;
  }

  .grille nav a{
    padding: 0.5vh 1vw;
  }

  .portfolio{
    top:calc(var(--real-vh, 1vh) * 15);
    height: calc(var(--real-vh, 1vh) * 83);
  }

  .project {
    flex-direction: column;
    height: auto;
    gap:2vh;
  }

  .project .column.text {
    position: relative;
    width: calc(100% - 20vw);
    min-width: calc(100% - 20vw);
    padding:0 10vw;
    text-align: center;
  }

  .column.images .track {
    gap:0;
    height:70vh;
  }

  .image-wrapper {
    max-width:100%;
    width:100%;
    height:100%;
  }

  .image-wrapper img {
    width: auto;
    max-width:90%;
    height: 100%;
    object-fit: contain;
    object-position: top center;

  }

  .control-plus,
  .control-left {
      align-items: center;

  }

  .control-left, .control-plus,
  .control-left:hover, .control-plus:hover,
  .control-left:active, .control-plus:active,
  .control-left:focus, .control-plus:focus {
    -webkit-tap-highlight-color: transparent;
    border: none;
    outline: none;
    appearance: none;
    -webkit-appearance: none;
    background: none;
    border-radius: 0;
  }

  .control-left {
    left: 1vw;
  }

  .control-plus {
    right: 1vw;
  }

  .control-plus .icon,
  .control-left .icon {
    width: 1.5vh;
    height: 1.5vh;
  }

}

